0

I have an WMS(?) server that serves WMS service, I believe, but I do not understand why this server takes queer parameters that are not documented in the GeoServer WMS reference.

Could you say how to check GetCapabilities for this server?

Map link link 1,link 2

3

It is not a GeoServer installation, in fact I'm not sure it is really a WMS at all as it doesn't respond to getCapabilities requests. However if you provoke it into an error (by removing the SRS for instance) you get

java.lang.NullPointerException
com.mapshed.pdswms.WMSRequestParams.<init>(WMSRequestParams.java:116)
com.mapshed.pdswms.WMSCacheServlet.doGet(WMSCacheServlet.java:193)
javax.servlet.http.HttpServlet.service(HttpServlet.java:621)
javax.servlet.http.HttpServlet.service(HttpServlet.java:728)

So it looks like it was developed by a company called mapshed - Googling for that package returns exactly one site. So based on that and the name of the class throwing the exception that it started out as a WMS and then got hacked about to support a customer requirement.

2
  • But is there any way to get the impression of something like getcapabilities since java class show WMS shade.
    – SAZ
    Sep 3 '15 at 8:48
  • I couldn't manage to get any other info out of it, but try adding and subtracting elements from the requests - the use of cache in the URL indicates to me that is just serving tiles though
    – Ian Turton
    Sep 3 '15 at 10:37
0

Strictly a WMS service must provide a GetCapabilities response, but in some software (for example older versions of MapServer if I recall correctly) you can edit the config to not supply one.

Taking queer (non standard or vendor specific) parameters is not against the WMS specification, but not taking or not using standard parameters is an issue, and in this case (your example request below) we have getMap standard says must be GetMap ~ some servers are lax in that respect ~ but biggest issue is VERSION=VODA-BYDATE-VOICE-L1800,L850,U2100,U900,U850,G900,G1800-BASE,ROAMING-LTE-NO_STATS-2015-09-03-c& that's just wrong. Version must be of format m.n.o like 1.1.1 so what the service isn't is a valid WMS service, and expecting anything to work as per the standard is hopeful.

Example request

http://maps.vodafone.com.au/pdswms-vha44/cache?
FORMAT=image/gif&
VERSION=VODA-BYDATE-VOICE-L1800,L850,U2100,U900,U850,G900,G1800-BASE,ROAMING-LTE-NO_STATS-2015-09-03-c&
REQUEST=getMap&
RENDERSET=vha_grid&
STYLES=vha_cov_tile&
SERVICE=WMS&
request=getMap&
renderset=vha_grid&
styles=vha_cov_tile&
LAYERS=[%7B%22VISIBLE_NETWORKS%22:%22VODA%22,%22MODE%22:%22BYDATE%22,%22RENDER_AS%22:%22VOICE%22,%22FREQUENCIES%22:%22L1800,L850,U2100,U900,U850,G900,G1800%22,%22COVERAGE_CONFIGS%22:%22BASE,ROAMING%22,%22DEVICE_CAP%22:%22LTE%22,%22STAT_SET%22:%22NO_STATS%22,%22STAT_COLUMN%22:%22%22,%22DATETIMETO%22:%222015-09-03%22,%22name%22:%22VHA_COVERAGE_CLASS%22,%22theme%22:%22vha_grid%22,%22visibility%22:true%7D,%7B%22name%22:%22COVERAGE_CLIP_BOUNDARY%22,%22theme%22:%22vha_grid%22,%22visibility%22:true%7D]&
SRS=EPSG:900913&
BBOX=16828376.484922,-3991847.0246094,16906648.001875,-3913575.5076563&
WIDTH=256&
HEIGHT=256

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.